Aker ASA

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/aker-asa/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1615161600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.akerasa.com/en/news/stock-exchange-releases/article/36900-aker-asa-launches-seetee-to-invest-in-bitcoin-and-blockchain-technology",
    "holding_balance": 1170.0,
    "holding_net_change": 1170.0,
    "transaction_value_usd": 58754406.0,
    "average_entry_value_usd": 50217.44,
    "transaction_value_calculated": false
  },
  {
    "date": 1703980800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.finansavisen.no/teknologi/2024/11/12/8204739/kjell-inge-rokke-og-aker-sitter-pa-bitcoins-verdt-744-millioner-kroner?zephr_sso_ott=ejKy2f",
    "holding_balance": 754.0,
    "holding_net_change": -416.0,
    "transaction_value_usd": 18092694.0,
    "average_entry_value_usd": -43492.05,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    754.0
  ],
  [
    1787011200000,
    754.0
  ],
  [
    1787097600000,
    754.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    47370758.760000005
  ],
  [
    1787011200000,
    48629275.239999995
  ],
  [
    1787097600000,
    48778031.9
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1428.0,
    "date": "2026-08-14",
    "high": 1444.0,
    "open": 1432.0,
    "close": 1440.0,
    "volume": 70739
  },
  {
    "low": 1446.0,
    "date": "2026-08-17",
    "high": 1462.0,
    "open": 1448.0,
    "close": 1458.0,
    "volume": 92594
  },
  {
    "low": 1434.0,
    "date": "2026-08-18",
    "high": 1472.0,
    "open": 1450.0,
    "close": 1434.0,
    "volume": 114052
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 15.27,
  "six_month_return": 61.3,
  "three_month_return": 14.35
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/aker-asa/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.004,
  "share_price_change_state": "up"
}